Classes
Protocols
Constants
Functions
Macros
Types
Variables

### Classes

STActor
STBundleInfo
STContext
STConversation
STEngine
STEnvironment
STEnvironmentDescription
STFileScript
STLanguageManager
STObjectReference
STRemoteConversation
STScript
STScriptObject
STScriptsManager
STSelector
STUndefinedObject

### Protocols

<STConversation>
<STEnvironmentProcess>
<STMethod>
<STScriptObject>
<STScripting>

### Constants

### Functions

STAllObjectiveCClasses
STAllObjectiveCSelectors
STClassDictionaryWithNames
STConstructMethodSignatureForSelector
STFindAllResources
STFindResource
STGetFoundationConstants
STGetValueOfTypeFromObject
STMethodSignatureForSelector
STObjectFromValueOfType
STSelectorFromString
STSelectorFromValue
STUserConfigPath
STValueFromSelector

### Macros

### Types

### Variables

STGenericException
STInternalInconsistencyException
STInvalidArgumentException
STLanguageBundleExtension
STLanguageBundlesDirectory
STLanguagesConfigFile
STLibraryDirectory
STMallocZone
STModuleExtension
STModulesDirectory
STNil
STScriptExtension
STScriptingEnvironmentExtension
STScriptingEnvironmentsDirectory
STScriptingException
STScriptsDirectory

Up

# STScript class documentation

### Authors

Stefan Urbanek (`stefanurbanek@yahoo.fr`)

Date: Generated at 2026-02-09 22:49:36 +0000

Copyright: (C) 2002 Stefan Urbanek

# Software documentation for the STScript class

## STScript : NSObject

> Declared in:
>   StepTalk/STScript.h

Description forthcoming.

Instance Variables

### Method summary

- +scriptWithSource:language:
- -initWithSource:language:
- -language
- -setLanguage:
- -setSource:
- -source

### scriptWithSource: language:

+ (id) scriptWithSource: (NSString*)aString language: (NSString*)lang;
Description forthcoming.

### initWithSource: language:

- (id) initWithSource: (NSString*)aString language: (NSString*)lang;
Description forthcoming.

### language

- (NSString*) language;
Returns language of the script.

### setLanguage:

- (void) setLanguage: (NSString*)name;
Set language of the script.

### setSource:

- (void) setSource: (NSString*)aString;
Description forthcoming.

### source

- (NSString*) source;
Description forthcoming.

## Instance Variables for STScript Class

### language

@protected NSString* language;
Description forthcoming.

### source

@protected NSString* source;
Description forthcoming.

Up